Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
hnluanutc

Nhờ Viết Lisp

Các bài được khuyến nghị

hnluanutc    3

e có 1 đoạn thẳng e muốn chia ra thành các phần ko bằng nhau(ko dùng đc lệnh Me,Div nhé) và khi chia thì có đánh dấu điểm nhờ mọi người viết hộ ạ ,thank all

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tot77    501

Bạn dùng cái này, dùng được cho cả line,pline,spline,arc,circle... trừ block.

Chọn đối tượng, nhập khoảng cách (cách nhau bởi dấu phẩy) thí dụ : 1.2,2.3,500,1000

chọn diểm bắt đầu (điểm bất kỳ trên đối tượng), chọn điểm cuối (để biết rải theo hướng nào).

Nó sẽ rải point theo thứ tự.

 

(defun c:rdi(/ vat st1 st2 dd dd1 dc dc1 lenh kc)
  (if (/= 3 (getvar 'pdmode)) (setvar 'pdmode 3))
  (setq vat (car (entsel "\nChon doi tuong:"))
st1 (getstring (strcat "\nKhoang cach <" (if st st "") ">:")))
  (if (/= st1 "") (setq st st1))
  (setq st2 (read (strcat "(" (vl-list->string (subst 32 44 (vl-string->list st))) ")"))
dd (getpoint "\nDiem dau:")
        dc (getpoint "\nDiem cuoi:")
dd1 (vlax-curve-getDistAtPoint vat dd)
dc1 (vlax-curve-getDistAtPoint vat dc)
lenh (if (> dc1 dd1) + -)
kc dd1
  )
  (foreach v st2      
    (command "point" (vlax-curve-getPointAtDist vat (setq kc (lenh kc v)))))
  (princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×